%%textdomain pRecorder

# pRecorder

### Wayland Screen Recorder

The pRecorder application is a simple graphical interface for the wf-recorder and ffmpeg utilities which capture and process desktop recordings in the Wayland environment. A screenshot module (pSnip) is also included to capture single images of the screen (either fullscreen or region).

The name of the pRecorder screencast file is auto-generated or you can enter a preferred filename in the Name entry box. Alternatively, the Date checkbox option (if enabled) will assign the current date to the screencast name.

By default, the screencast files are saved in the /root/Videos/Screencasts directory, but you can use the Folder selector option to define an alternate save directory. The companion Filemanager option provides convenient access to the save directory for management of screen recordings.

Screencasts are available in the following file formats: AVI, FLV, GIF, MKV, MP4, WEBM, and WMV. Typically, the popular MP4 format provides a good combination of video quality and relatively small file size. The equally useful MKV format may improve video quality slightly but the file size is larger. The remaining video format options are provided for convenience and compatibility with various screencasting services.

Generally, the default options for Video Frame Rate (fps), Frame Scale (size) and Audio Input Source are managed automatically and efficiently by wf-recorder but you can override these values with preferred settings. For example, frame rates of 30-60 fps are often recommended for screen recordings. Higher frame rates are used for recordings which capture rapid motion graphics but file size may increase significantly at high fps. pRecorder supports frames rates from 8 to 120 fps so the user can select values that will provide a good balance of video quality and reasonable file size.

The GIF file format is often used for windowed or region recordings presented in a repeating loop format. However, the generated files can become quite large and the animated graphics are limited to a palette of 256 colors with associated color dithering. To minimize the artifacts, pRecorder applies a custom color palette generated by ffmpeg and the output GIF screencasts retain good visual quality:

By default, large fullscreen GIF screencasts are generated at fps=10 and scale=720, in which case the output file size is reasonable and the recordings retain acceptable visual quality. However, the smaller region recordings in the GIF format are generated with a full granular choice of video frame rate and scaling.\

The following frame rates are recommended for region recordings in the GIF format:

&ensp; Higher quality: 30 fps (larger file size)\
&ensp; Medium quality: 16 fps (medium file size)\
&ensp; Lower quality: 8 fps (smaller file size)

The Delay option provides time for the final placement of the cursor and desktop windows prior to the screen recording.

When screencast audio is enabled the audio stream is recorded by default at 48kHz, but you can select the 96kHz checkbox if higher quality audio is required.

The Time option determines the duration of the screen recording in seconds. If this value is set to '0', the user must stop the recording by selecting the Stop option available in the main pRecorder GUI or by choosing the Stop Recording option in the menu of the tray applet. The companion Timer checkbox option enables a digital countdown timer prior to the screen recording, and a popup notification dialog informs the user when the recording is complete.

The Scale option is useful for resizing the video frame size but the conversion is 'lossy' and, if not corrected, the scaled video may show loss of quality, particularly with downscaling of GIF screencasts. To counter the lossy conversion, pRecorder applies ffmpeg enhancement filters to restore the video quality.

Typically, the Default Audio Source option of pRecorder is a good choice in the pulseaudio or pipewire audio environment, but you can select a preferred audio input source in the drop-down menu.

pRecorder provides the convenience of fullscreen and selective region (ROI) recordings. For region recordings, press the Record button and use the mouse to outline the area to be included in the screencast.

When enabled, the pRecorder tray applet provides easy access to screencast and screenshot functions without launching the corresponding pRecorder and pSnip interfaces. With the exception of frame scaling (resizing) the current options enabled in the GUI applications are also applied by the tray-applet menu options.

Finally, with the Close GUI checkbox option you can automatically close the pRecorder GUI while recording the full desktop, or keep it open for region recordings.